aboutsummaryrefslogtreecommitdiffstats
path: root/tools/web_search_tavily.sh
diff options
context:
space:
mode:
authorsigoden <sigoden@gmail.com>2024-07-29 07:32:26 +0800
committerGitHub <noreply@github.com>2024-07-29 07:32:26 +0800
commita7342a1cbf0ae558db9005870ddb20a539daac68 (patch)
treea5b4f3ddaf2421f12967291f6ce4a89243b03360 /tools/web_search_tavily.sh
parent4d18d6346d4aea16cc9dac1bcfc3ccc4c15a7bd0 (diff)
downloadllm-functions-docker-a7342a1cbf0ae558db9005870ddb20a539daac68.tar.gz
feat: add web_search_* tools, rm some search_* tools (#78)
Diffstat (limited to 'tools/web_search_tavily.sh')
-rwxr-xr-xtools/web_search_tavily.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/tools/web_search_tavily.sh b/tools/web_search_tavily.sh
new file mode 100755
index 0000000..d80e5dd
--- /dev/null
+++ b/tools/web_search_tavily.sh
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+set -e
+
+# @describe Perform a web search using EXA API to get up-to-date information or additional context.
+# Use this when you need current information or feel a search could provide a better answer.
+
+# @env TAVILY_API_KEY! The api key
+# @option --query! The query to search for.
+
+main() {
+ curl -fsSL -X POST https://api.tavily.com/search \
+ -H "content-type: application/json" \
+ -d '
+{
+ "api_key": "'"$TAVILY_API_KEY"'",
+ "query": "'"$argc_query"'",
+ "include_answer": true
+}' | \
+ jq -r '.answer' >> "$LLM_OUTPUT"
+}
+
+eval "$(argc --argc-eval "$0" "$@")"